Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » EGit » Older releases of EGit.(repository URL for older versions seems to no longer available)
Older releases of EGit. [message #1015343] Thu, 28 February 2013 04:48 Go to next message
p. kotzi is currently offline p. kotzi
Messages: 5
Registered: February 2013
Junior Member
Hi,

My question is where can I find working url to install older versions of EGit,
on EGit/FAQ Wiki site the urls posted there seem to be outdated/no longer available, i.e. 2.1 and 2.2 for instance ?

Regards,
Pawel.
Re: Older releases of EGit. [message #1015382 is a reply to message #1015343] Thu, 28 February 2013 07:46 Go to previous messageGo to next message
Joffrey Chambrin is currently offline Joffrey Chambrin
Messages: 7
Registered: January 2013
Junior Member
You can find older release on : http://wiki.eclipse.org/EGit/FAQ#Where_can_I_find_older_releases_of_EGit.3F

These URL are only accessible from Eclipse (in the "Install new Software" menu).
Re: Older releases of EGit. [message #1015396 is a reply to message #1015382] Thu, 28 February 2013 08:40 Go to previous messageGo to next message
p. kotzi is currently offline p. kotzi
Messages: 5
Registered: February 2013
Junior Member
Those links are not working when I am using them as you described, i.e. copy and paste them to install new software utility, maybe it's a temporary issue ? Only this works:
http://archive.eclipse.org/egit/updates/
Re: Older releases of EGit. [message #1015415 is a reply to message #1015396] Thu, 28 February 2013 09:11 Go to previous messageGo to next message
Joffrey Chambrin is currently offline Joffrey Chambrin
Messages: 7
Registered: January 2013
Junior Member
For me those links are working fine. Maybe it's caused by your Eclipse version.
What Eclipse do you run?
Re: Older releases of EGit. [message #1015421 is a reply to message #1015415] Thu, 28 February 2013 09:33 Go to previous messageGo to next message
p. kotzi is currently offline p. kotzi
Messages: 5
Registered: February 2013
Junior Member
Version: 3.6.0.v20100525-7b7mFKtFEx2XmfZ4_B7NUJA
Build id: I20100608-0911

But the official EGit update link is working fine, and when trying to use older releases link I get an error "Error contacting site".
  • Attachment: Error.png
    (Size: 8.27KB, Downloaded 56 times)
Re: Older releases of EGit. [message #1015426 is a reply to message #1015421] Thu, 28 February 2013 09:41 Go to previous messageGo to next message
Joffrey Chambrin is currently offline Joffrey Chambrin
Messages: 7
Registered: January 2013
Junior Member
Maybe I am wrong, but I see on your picture that you try to contact a site with a pattern like : http://archive.eclipse.org/egit/updates-<release>.

On this page : http://wiki.eclipse.org/EGit/FAQ#Where_can_I_find_older_releases_of_EGit.3F , it is noticed that all eGit update sites are like that : http://download.eclipse.org/egit/updates-<release>

For example, if you want to get eGit 1.3, you have to get it from this URL :
http://download.eclipse.org/egit/updates-1.3
Re: Older releases of EGit. [message #1015443 is a reply to message #1015426] Thu, 28 February 2013 10:40 Go to previous message
p. kotzi is currently offline p. kotzi
Messages: 5
Registered: February 2013
Junior Member
Daaam, sory I'm a dummy.
I was clicking the link and then the url with archive prefix was shown and I have used this url. Now it's working.
Appreciate your help, thanks.
Previous Topic:Implementation of an ActiveChangeSetManager
Next Topic:egit upgrade fails due to conflicting dependency
Goto Forum:
  


Current Time: Thu Apr 17 03:57:01 EDT 2014

Powered by FUDForum. Page generated in 0.02225 seconds